> For the complete documentation index, see [llms.txt](https://docs.riskbase.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.riskbase.uk/riskbase-docs/api/changelog.md).

# Changelog

| Date       | By | Description                                                                                                                                                               |
| ---------- | -- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 25/02/2026 | RC | Added `properties` filter to `GET /properties/assets`                                                                                                                     |
| 25/02/2026 | RC | Added `POST /properties/{propertyId}/assets` and `PATCH /properties/{propertyId}/assets/{assetId}` endpoints                                                              |
| 04/01/2026 | BW | Added `/properties/assets` endpoints and deprecated `/elements` endpoints                                                                                                 |
| 11/12/2025 | RC | Added `scheduleCustomReference` to `GET /assessments` endpoint                                                                                                            |
| 06/10/2025 | BW | Added `POST /users` endpoint                                                                                                                                              |
| 16/07/2025 | RC | Update webhooks to include `property` and `propertygroup` events and remove `asset` and `assetgroup` events                                                               |
| 16/07/2025 | RC | New `/properties` endpoints replace the `/assets` endpoints. The old `/assets` endpoints still exist but are deprecated; they will remain available but should be avoided |
| 14/05/2025 | RC | Improved field descriptions for `GET /elements` and `GET /elements/types`                                                                                                 |
| 09/05/2025 | RC | Fixed `POST /assets` endpoint (was incorrectly listed as `POST /assets/tree`)                                                                                             |
| 05/03/2025 | RC | Added `customreference` query filter to `GET assets`                                                                                                                      |
| 05/03/2025 | RC | Added assessment `flags` to response of `GET assessments` and added `includeflags` query parameter to enable it                                                           |
| 05/03/2025 | RC | Introduced changelog to documentation                                                                                                                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.riskbase.uk/riskbase-docs/api/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
